package com.flossom.system.service.impl;

import java.util.List;

import com.flossom.common.core.domain.entity.WxParameterSetting;
import com.flossom.common.core.mapper.WxParameterSettingMapper;
import com.flossom.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.flossom.system.service.IWxParameterSettingService;

/**
 * 微信参数配属Service业务层处理
 *
 * @author flossom
 * @date 2023-12-13
 */
@Service
public class WxParameterSettingServiceImpl implements IWxParameterSettingService {
    @Autowired
    private WxParameterSettingMapper wxParameterSettingMapper;

    /**
     * 查询微信参数配属
     *
     * @param id 微信参数配属主键
     * @return 微信参数配属
     */
    @Override
    public WxParameterSetting selectWxParameterSettingById(Long id) {
        return wxParameterSettingMapper.selectWxParameterSettingById(id);
    }

    /**
     * 查询微信参数配属列表
     *
     * @param wxParameterSetting 微信参数配属
     * @return 微信参数配属
     */
    @Override
    public List<WxParameterSetting> selectWxParameterSettingList(WxParameterSetting wxParameterSetting) {
        return wxParameterSettingMapper.selectWxParameterSettingList(wxParameterSetting);
    }

    /**
     * 新增微信参数配属
     *
     * @param wxParameterSetting 微信参数配属
     * @return 结果
     */
    @Override
    public int insertWxParameterSetting(WxParameterSetting wxParameterSetting) {
        wxParameterSetting.setCreateTime(DateUtils.getNowDate());
        return wxParameterSettingMapper.insertWxParameterSetting(wxParameterSetting);
    }

    /**
     * 修改微信参数配属
     *
     * @param wxParameterSetting 微信参数配属
     * @return 结果
     */
    @Override
    public int updateWxParameterSetting(WxParameterSetting wxParameterSetting) {
        wxParameterSetting.setUpdateTime(DateUtils.getNowDate());
        return wxParameterSettingMapper.updateWxParameterSetting(wxParameterSetting);
    }

    /**
     * 批量删除微信参数配属
     *
     * @param ids 需要删除的微信参数配属主键
     * @return 结果
     */
    @Override
    public int deleteWxParameterSettingByIds(Long[] ids) {
        return wxParameterSettingMapper.deleteWxParameterSettingByIds(ids);
    }

    /**
     * 删除微信参数配属信息
     *
     * @param id 微信参数配属主键
     * @return 结果
     */
    @Override
    public int deleteWxParameterSettingById(Long id) {
        return wxParameterSettingMapper.deleteWxParameterSettingById(id);
    }
}
